Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226301

Summary: Merge Review: planner
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Gwyn Ciesla <gwync>
Status: CLOSED ERRATA QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: caolanm, gwync
Target Milestone: ---Flags: gwync: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-02 12:48:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 20:41:09 UTC
Fedora Merge Review: planner

http://cvs.fedora.redhat.com/viewcvs/devel/planner/
Initial Owner: caolanm@redhat.com

Comment 1 Gwyn Ciesla 2008-09-17 16:32:09 UTC
rpmlint on SRPM: clean

rpmlint on RPMS:

planner.i386: W: non-conffile-in-etc /etc/gconf/schemas/planner.schemas
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

Probably ok?

planner.i386: W: obsolete-not-provided mrproject
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

planner.i386: W: obsolete-not-provided libmrproject
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

planner.i386: W: obsolete-not-provided libmrproject-devel
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

Fix.

planner-devel.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

planner-eds.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

I have to think there's SOMETHING you could move over to these from the main package?

planner-eds.i386: W: devel-file-in-non-devel-package /usr/lib/evolution-data-server-1.2/extensions/libecalbackendplanner.so
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

Is this a false positive?  If so, file an rpmlint bug.

Otherwise, full review looks good, no other blockers.

Comment 2 Gwyn Ciesla 2008-12-09 21:16:22 UTC
Reviewed 0.14.3-7, same as above.

Comment 3 Gwyn Ciesla 2008-12-10 14:02:02 UTC
Re-adding planner maintainer.

Caolan, please do not remove yourself from this review again without adding a planner co-maintainer that has agreed to work on it.

Comment 4 Gwyn Ciesla 2009-03-31 15:24:34 UTC
Ping?

Comment 5 Caolan McNamara 2009-04-01 09:36:15 UTC
Hmm, apparently I still own this, thought I handed it over, probably got mixed up with dia.

Anyway (planner-0.14.3-11.fc11) removed the old obsoletes in line with current recommendations to get rid of them after X releases

The planner.i386: W: non-conffile-in-etc /etc/gconf/schemas/planner.schemas warning is ok

The planner-eds.i386: W: devel-file-in-non-devel-package warning is fixed

The planner-eds.i386: W: and planner-devel.i386: W: no-documentation warnings aren't fixed. Can't see what we could put in for -eds documentation, there just isn't any

Comment 6 Gwyn Ciesla 2009-04-01 12:49:45 UTC
All sounds reasonable.  If the Obsoletes are gone, are the Provides needed?

Comment 7 Caolan McNamara 2009-04-01 15:38:11 UTC
Should be no need for them either

Comment 8 Gwyn Ciesla 2009-04-01 15:55:29 UTC
Ok, drop them and I'll be happy.

Comment 9 Caolan McNamara 2009-04-01 21:48:14 UTC
There's nothing to drop in planner-0.14.3-11.f11 right ?

Comment 10 Gwyn Ciesla 2009-04-02 12:48:26 UTC
Ah. There isn't. 

APPROVED.   Thanks!